Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## APStudio.editors
Class MultiPageEditor

    java.lang.Object
      |
      +--org.eclipse.ui.part.WorkbenchPart
            |
            +--org.eclipse.ui.part.EditorPart
                  |
                  +--org.eclipse.ui.part.MultiPageEditorPart
                        |
                        +--APStudio.editors.MultiPageEditor

All Implemented Interfaces:
  org.eclipse.core.runtime.IAdaptable, org.eclipse.ui.IEditorPart, org.eclipse.core.runtime.IExecutableExtension, org.eclipse.ui.ISaveablePart, org.eclipse.ui.IWorkbenchPart

public class MultiPageEditor
extends org.eclipse.ui.part.MultiPageEditorPart

An example showing how to create a multi-page editor. This example has 3 pages:

- page 0 contains a nested text editor.
- page 1 allows you to change the font used in page 2
- page 2 shows the words in page 0 in sorted order

Field Summary

Fields inherited from interface org.eclipse.ui.IEditorPart
`PROP_DIRTY, PROP_INPUT`

Fields inherited from interface org.eclipse.ui.IWorkbenchPart
`PROP_TITLE`

Constructor Summary
`MultiPageEditor()` Creates a multi-page editor example.

Method Summary
`void` | `doSave(org.eclipse.core.runtime.IProgressMonitor monitor)` Saves the multi-page editor's document.
`void` | `doSaveAs()` Saves the multi-page editor's document as another file.
`void` | `gotoMarker(org.eclipse.core.resources.IMarker marker)`
`void` | `init(org.eclipse.ui.IEditorSite site, org.eclipse.ui.IEditorInput editorInput)` The `MultiPageEditorExample` implementation of this method checks that the input is an instance of `IFileEditorInput`.
`boolean` | `isSaveAsAllowed()`

Methods inherited from class org.eclipse.ui.part.MultiPageEditorPart
`addPage, addPage, createPartControl, dispose, isDirty, removePage, setFocus`

Methods inherited from class org.eclipse.ui.part.EditorPart
`getEditorInput, getEditorSite, getTitleToolTip, isSaveOnCloseNeeded`

Methods inherited from class org.eclipse.ui.part.WorkbenchPart
`addPropertyListener, getAdapter, getSite, getTitle, getTitleImage, removePropertyListener, setInitializationData`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.ui.IWorkbenchPart
`addPropertyListener, getSite, getTitle, getTitleImage, removePropertyListener`

Methods inherited from interface org.eclipse.core.runtime.IAdaptable
`getAdapter`

Constructor Detail

### MultiPageEditor

    public MultiPageEditor()

  Creates a multi-page editor example.

Method Detail

### doSave

    public void doSave(org.eclipse.core.runtime.IProgressMonitor monitor)

  Saves the multi-page editor's document.

  Specified by:
    `doSave` in interface `org.eclipse.ui.ISaveablePart`
  Specified by:
    `doSave` in class `org.eclipse.ui.part.EditorPart`

### doSaveAs

    public void doSaveAs()

  Saves the multi-page editor's document as another file. Also updates the text for page 0's tab, and updates this multi-page editor's input to correspond to the nested editor's.

  Specified by:
    `doSaveAs` in interface `org.eclipse.ui.ISaveablePart`
  Specified by:
    `doSaveAs` in class `org.eclipse.ui.part.EditorPart`

### gotoMarker

    public void gotoMarker(org.eclipse.core.resources.IMarker marker)

  Specified by:
    `gotoMarker` in interface `org.eclipse.ui.IEditorPart`
  Specified by:
    `gotoMarker` in class `org.eclipse.ui.part.EditorPart`

### init

    public void init(org.eclipse.ui.IEditorSite site,
                     org.eclipse.ui.IEditorInput editorInput)
              throws org.eclipse.ui.PartInitException

  The `MultiPageEditorExample` implementation of this method checks that the input is an instance of `IFileEditorInput`.

  Specified by:
    `init` in interface `org.eclipse.ui.IEditorPart`
  Overrides:
    `init` in class `org.eclipse.ui.part.MultiPageEditorPart`
    `org.eclipse.ui.PartInitException`

### isSaveAsAllowed

    public boolean isSaveAsAllowed()

  Specified by:
    `isSaveAsAllowed` in interface `org.eclipse.ui.ISaveablePart`
  Specified by:
    `isSaveAsAllowed` in class `org.eclipse.ui.part.EditorPart`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD